uses linux;

const
  PERMS=0644;		(* права доступа при открытии с Open_CREAT *)
  filename='newfile';

var
  filedes:integer;
  
begin
  filedes := fdopen (filename, Open_RDWR or Open_CREAT, octal(PERMS));
  if filedes = -1 then
  begin
    writeln('Не могу создать ', filename);
    halt(1);			(* выход по ошибке *)
  end;

  writeln('Файл ', filename, ' успешно создан (открыт для записи), дескриптор равен ',filedes);
 
  (* Остальная программа *)

  halt(0);
end.
